> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar emprego

> Atualiza os dados de um emprego existente



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json put /api/v1/empregos/{id}
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregos/{id}:
    put:
      tags:
        - empregos
      summary: Atualizar emprego
      description: Atualiza os dados de um emprego existente
      parameters:
        - description: ID do emprego
          name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        $ref: '#/components/requestBodies/models.Emprego'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Emprego'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
      security:
        - bearerAuth: []
components:
  requestBodies:
    models.Emprego:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.Emprego'
      description: Dados do emprego
      required: true
  schemas:
    models.Emprego:
      type: object
      properties:
        beneficios:
          type: string
        contato_duvidas:
          type: string
        created_at:
          type: string
        data_inicio_prevista:
          type: string
        data_limite_candidatura:
          type: string
        descricao:
          type: string
        empresa:
          description: Relacionamentos
          allOf:
            - $ref: '#/components/schemas/models.Empresa'
        empresa_id:
          type: integer
        escolaridade:
          $ref: '#/components/schemas/models.Escolaridade'
        escolaridade_id:
          type: integer
        id:
          type: integer
        jornada_trabalho:
          $ref: '#/components/schemas/models.JornadaTrabalho'
        latitude:
          type: number
        longitude:
          type: number
        numero_vagas:
          type: integer
        orgao_id:
          type: string
        pre_requisitos:
          type: string
        salario_max:
          type: integer
        salario_min:
          type: integer
        status:
          $ref: '#/components/schemas/models.StatusEmprego'
        tipo_contratacao:
          $ref: '#/components/schemas/models.TipoContratacao'
        titulo:
          type: string
        turno:
          $ref: '#/components/schemas/models.Turno'
        updated_at:
          type: string
    models.ErrorResponse:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    models.Empresa:
      type: object
      properties:
        empregos:
          description: Relacionamentos
          type: array
          items:
            $ref: '#/components/schemas/models.Emprego'
        id:
          type: integer
        nome:
          type: string
    models.Escolaridade:
      type: object
      properties:
        empregos:
          description: Relacionamentos
          type: array
          items:
            $ref: '#/components/schemas/models.Emprego'
        id:
          type: integer
        nivel:
          type: string
    models.JornadaTrabalho:
      type: string
      enum:
        - INTEGRAL
        - MEIO_PERIODO
        - FLEXIVEL
        - ESTAGIO
        - HOME_OFFICE
      x-enum-varnames:
        - JornadaIntegral
        - JornadaMeioPeriodo
        - JornadaFlexivel
        - JornadaEstagio
        - JornadaHomeOffice
    models.StatusEmprego:
      type: string
      enum:
        - CRIADO
        - ABERTO
        - EM_ANALISE
        - ENCERRADO
      x-enum-varnames:
        - StatusEmpregoCriado
        - StatusEmpregoAberto
        - StatusEmpregoEmAnalise
        - StatusEmpregoEncerrado
    models.TipoContratacao:
      type: string
      enum:
        - CLT
        - ESTAGIO
        - JOVEM_APRENDIZ
        - MEI
        - PJ
      x-enum-varnames:
        - TipoContratacaoCLT
        - TipoContratacaoEstagio
        - TipoContratacaoJovemAprendiz
        - TipoContratacaoMEI
        - TipoContratacaoPJ
    models.Turno:
      type: string
      enum:
        - MANHA
        - TARDE
        - NOITE
        - INTEGRAL
        - LIVRE
      x-enum-varnames:
        - TurnoManha
        - TurnoTarde
        - TurnoNoite
        - TurnoIntegral
        - TurnoLivre
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````